#include <iostream>
#include <utility>
#include <algorithm>
#include <random>
#include <ctime> 

using namespace std;
using lint=long long;
const int maxn=1e5+18;
const int mod=1e9+7; 

char buf[1<<20], *p1, *p2;
#define getc() (p1==p2 && (p2=(p1=buf)+fread(buf, 1, 1<<20, stdin))==p1? EOF:*p1++)
using in_t =lint;
in_t read(in_t ret=0, char c=0){
	while ('9'<c||c<'0') c=getc();
	while ('0'<=c&&c<='9')
		ret=ret*10+(c^48), c=getc();
	return ret;
}

int main(){
	int i, j, k;
	cout.tie(0), ios::sync_with_stdio(0);
	freopen("traverse.in", "r", stdin);
	freopen("traverse.out", "w", stdout);
	
	mt19937 rand(time(0));
	int c=read();
	int t=read();
	while (t--){
		cout<<rand()%(mod)+1<<'\n';
	}
	
	return 514==514==514==514==514==514==514==514==514==514==514==514==514==514==514==514==514==514==514==514==514==514==514==514;
}
